-- phpMyAdmin SQL Dump
-- version 5.1.3
-- https://www.phpmyadmin.net/
--
-- 主机： 172.11.200.10:3306
-- 生成日期： 2023-10-12 07:31:35
-- 服务器版本： 5.7.37
-- PHP 版本： 8.0.15

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- 数据库： `amfusers`
--
drop database if exists `amfusers`;
CREATE DATABASE `amfusers`;
USE `amfusers`;

-- --------------------------------------------------------

--
-- 表的结构 `users`
--

CREATE TABLE `users` (
  `imsi` varchar(15) NOT NULL COMMENT 'IMSI is the main reference key.',
  `msisdn` varchar(46) DEFAULT NULL COMMENT 'The basic MSISDN of the UE (Presence of MSISDN is optional).',
  `imei` varchar(15) DEFAULT NULL COMMENT 'International Mobile Equipment Identity',
  `imei_sv` varchar(2) DEFAULT NULL COMMENT 'International Mobile Equipment Identity Software Version Number',
  `ms_ps_status` enum('PURGED','NOT_PURGED') DEFAULT 'PURGED' COMMENT 'Indicates that ESM and EMM status are purged from MME',
  `rau_tau_timer` int(10) UNSIGNED DEFAULT '120',
  `ue_ambr_ul` bigint(20) UNSIGNED DEFAULT '50000000' COMMENT 'The Maximum Aggregated uplink MBRs to be shared across all Non-GBR bearers according to the subscription of the user.',
  `ue_ambr_dl` bigint(20) UNSIGNED DEFAULT '100000000' COMMENT 'The Maximum Aggregated downlink MBRs to be shared across all Non-GBR bearers according to the subscription of the user.',
  `access_restriction` int(10) UNSIGNED DEFAULT '60' COMMENT 'Indicates the access restriction subscription information. 3GPP TS.29272 #7.3.31',
  `mme_cap` int(10) UNSIGNED ZEROFILL DEFAULT NULL COMMENT 'Indicates the capabilities of the MME with respect to core functionality e.g. regional access restrictions.',
  `mmeidentity_idmmeidentity` int(11) NOT NULL DEFAULT '0',
  `key` varbinary(16) NOT NULL DEFAULT '0' COMMENT 'UE security key',
  `RFSP-Index` smallint(5) UNSIGNED NOT NULL DEFAULT '1' COMMENT 'An index to specific RRM configuration in the E-UTRAN. Possible values from 1 to 256',
  `urrp_mme` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'UE Reachability Request Parameter indicating that UE activity notification from MME has been requested by the HSS.',
  `sqn` bigint(20) UNSIGNED ZEROFILL NOT NULL,
  `rand` varbinary(16) NOT NULL,
  `OPc` varbinary(16) DEFAULT NULL COMMENT 'Can be computed by HSS'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- 转存表中的数据 `users`
--

INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000000000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000000069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000000268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000000467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000000666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000000865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000000999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000001000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000001069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000001268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000001467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000001666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000001865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000001999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000002000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000002069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000002268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000002467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000002666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000002865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000002999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000003000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000003069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000003268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000003467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000003666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000003865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000003999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000004000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000004069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000004268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000004467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000004666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000004865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000004999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000005000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000005069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000005268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000005467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000005666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000005865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000005999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000006000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000006069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000006268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000006467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000006666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466910000006865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466910000006999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);

INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000000000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000000069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000000268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000000467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000000666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000000865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000000999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000001000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000001069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000001268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000001467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000001666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000001865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000001999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000002000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000002069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000002268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000002467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000002666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000002865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000002999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000003000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000003069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000003268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000003467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000003666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000003865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000003999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000004000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000004069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000004268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000004467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000004666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000004865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000004999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000005000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000005069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000005268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000005467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000005666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000005865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000005999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000006000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000006069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000006268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000006467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000006666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466920000006865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466920000006999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);

INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000000000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000000069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000000268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000000467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000000666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000000865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000000999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000001000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000001069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000001268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000001467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000001666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000001865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000001999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000002000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000002069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000002268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000002467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000002666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000002865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000002999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000003000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000003069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000003268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000003467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000003666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000003865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000003999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000004000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000004069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000004268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000004467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000004666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000004865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000004999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000005000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000005069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000005268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000005467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000005666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000005865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000005999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000006000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000006069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000006268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000006467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000006666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466930000006865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466930000006999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);

INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000000000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000000069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000000268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000000467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000000666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000000865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000000999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000001000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000001069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000001268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000001467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000001666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000001865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000001999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000002000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000002069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000002268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000002467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000002666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000002865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000002999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000003000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000003069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000003268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000003467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000003666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000003865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000003999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000004000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000004069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000004268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000004467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000004666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000004865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000004999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000005000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000005069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000005268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000005467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000005666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000005865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000005999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000006000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000006069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000006268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000006467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000006666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466940000006865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466940000006999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);

INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000000000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000000069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000000268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000000467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000000666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000000865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000000999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000001000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000001069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000001268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000001467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000001666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000001865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000001999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000002000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000002069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000002268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000002467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000002666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000002865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000002999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000003000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000003069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000003268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000003467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000003666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000003865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000003999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000004000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000004069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000004268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000004467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000004666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000004865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000004999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000005000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000005069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000005268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000005467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000005666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000005865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000005999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000006000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000006069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000006268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000006467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000006666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466950000006865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466950000006999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);

INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000000000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000000069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000000268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000000467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000000666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000000865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000000999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000001000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000001069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000001268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000001467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000001666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000001865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000001999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000002000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000002069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000002268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000002467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000002666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000002865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000002999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000003000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000003069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000003268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000003467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000003666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000003865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000003999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000004000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000004069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000004268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000004467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000004666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000004865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000004999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000005000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000005069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000005268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000005467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000005666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000005865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000005999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000006000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000006069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000006268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000006467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000006666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466960000006865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466960000006999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);

INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000000000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000000069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000000268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000000467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000000666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000000865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000000999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000001000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000001069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000001268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000001467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000001666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000001865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000001999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000002000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000002069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000002268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000002467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000002666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000002865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000002999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000003000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000003069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000003268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000003467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000003666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000003865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000003999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000004000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000004069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000004268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000004467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000004666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000004865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000004999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000005000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000005069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000005268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000005467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000005666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000005865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000005999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000006000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000006069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000006268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000006467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000006666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466970000006865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466970000006999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);

INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000000000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000000069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000000268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000000467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000000666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000000865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000000999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000001000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000001069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000001268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000001467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000001666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000001865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000001999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000002000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000002069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000002268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000002467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000002666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000002865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000002999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000003000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000003069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000003268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000003467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000003666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000003865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000003999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000004000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000004069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000004268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000004467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000004666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000004865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000004999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000005000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000005069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000005268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000005467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000005666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000005865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000005999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000006000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000006069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000006268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000006467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000006666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466980000006865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466980000006999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);

INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000000000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000000069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000000268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000000467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000000666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000000865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000000999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000001000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000001069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000001268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000001467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000001666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000001865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000001999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000002000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000002069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000002268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000002467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000002666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000002865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000002999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000003000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000003069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000003268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000003467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000003666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000003865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000003999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000004000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000004069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000004268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000004467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000004666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000004865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000004999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000005000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000005069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000005268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000005467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000005666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000005865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000005999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000006000', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006001', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006002', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006003', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006004', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006005', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006006', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006007', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006008', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006009', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006010', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006011', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006012', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006013', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006014', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006015', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006016', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006017', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006018', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006019', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006020', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006021', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006022', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006023', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006024', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006025', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006026', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006027', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006028', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006029', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006030', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006031', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006032', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006033', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006034', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006035', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006036', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006037', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006038', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006039', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006040', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006041', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006042', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006043', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006044', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006045', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006046', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006047', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006048', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006049', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006050', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006051', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006052', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006053', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006054', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006055', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006056', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006057', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006058', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006059', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006060', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006061', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006062', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006063', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006064', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006065', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006066', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006067', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006068', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000006069', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006070', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006071', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006072', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006073', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006074', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006075', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006076', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006077', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006078', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006079', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006080', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006081', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006082', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006083', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006084', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006085', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006086', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006087', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006088', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006089', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006090', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006091', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006092', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006093', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006094', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006095', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006096', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006097', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006098', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006099', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006100', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006101', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006102', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006103', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006104', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006105', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006106', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006107', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006108', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006109', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006110', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006111', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006112', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006113', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006114', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006115', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006116', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006117', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006118', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006119', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006120', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006121', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006122', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006123', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006124', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006125', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006126', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006127', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006128', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006129', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006130', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006131', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006132', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006133', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006134', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006135', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006136', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006137', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006138', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006139', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006140', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006141', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006142', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006143', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006144', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006145', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006146', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006147', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006148', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006149', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006150', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006151', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006152', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006153', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006154', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006155', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006156', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006157', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006158', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006159', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006160', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006161', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006162', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006163', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006164', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006165', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006166', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006167', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006168', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006169', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006170', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006171', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006172', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006173', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006174', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006175', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006176', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006177', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006178', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006179', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006180', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006181', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006182', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006183', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006184', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006185', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006186', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006187', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006188', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006189', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006190', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006191', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006192', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006193', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006194', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006195', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006196', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006197', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006198', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006199', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006200', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006201', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006202', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006203', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006204', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006205', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006206', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006207', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006208', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006209', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006210', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006211', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006212', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006213', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006214', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006215', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006216', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006217', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006218', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006219', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006220', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006221', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006222', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006223', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006224', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006225', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006226', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006227', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006228', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006229', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006230', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006231', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006232', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006233', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006234', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006235', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006236', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006237', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006238', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006239', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006240', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006241', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006242', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006243', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006244', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006245', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006246', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006247', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006248', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006249', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006250', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006251', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006252', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006253', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006254', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006255', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006256', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006257', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006258', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006259', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006260', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006261', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006262', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006263', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006264', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006265', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006266', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006267', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000006268', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006269', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006270', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006271', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006272', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006273', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006274', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006275', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006276', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006277', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006278', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006279', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006280', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006281', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006282', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006283', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006284', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006285', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006286', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006287', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006288', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006289', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006290', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006291', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006292', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006293', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006294', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006295', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006296', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006297', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006298', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006299', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006300', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006301', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006302', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006303', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006304', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006305', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006306', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006307', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006308', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006309', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006310', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006311', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006312', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006313', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006314', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006315', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006316', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006317', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006318', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006319', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006320', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006321', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006322', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006323', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006324', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006325', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006326', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006327', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006328', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006329', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006330', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006331', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006332', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006333', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006334', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006335', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006336', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006337', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006338', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006339', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006340', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006341', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006342', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006343', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006344', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006345', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006346', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006347', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006348', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006349', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006350', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006351', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006352', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006353', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006354', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006355', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006356', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006357', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006358', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006359', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006360', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006361', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006362', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006363', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006364', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006365', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006366', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006367', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006368', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006369', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006370', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006371', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006372', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006373', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006374', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006375', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006376', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006377', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006378', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006379', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006380', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006381', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006382', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006383', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006384', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006385', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006386', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006387', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006388', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006389', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006390', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006391', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006392', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006393', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006394', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006395', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006396', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006397', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006398', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006399', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006400', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006401', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006402', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006403', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006404', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006405', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006406', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006407', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006408', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006409', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006410', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006411', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006412', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006413', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006414', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006415', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006416', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006417', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006418', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006419', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006420', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006421', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006422', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006423', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006424', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006425', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006426', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006427', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006428', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006429', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006430', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006431', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006432', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006433', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006434', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006435', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006436', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006437', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006438', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006439', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006440', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006441', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006442', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006443', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006444', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006445', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006446', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006447', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006448', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006449', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006450', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006451', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006452', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006453', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006454', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006455', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006456', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006457', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006458', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006459', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006460', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006461', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006462', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006463', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006464', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006465', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006466', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000006467', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006468', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006469', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006470', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006471', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006472', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006473', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006474', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006475', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006476', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006477', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006478', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006479', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006480', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006481', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006482', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006483', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006484', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006485', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006486', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006487', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006488', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006489', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006490', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006491', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006492', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006493', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006494', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006495', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006496', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006497', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006498', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006499', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006500', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006501', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006502', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006503', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006504', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006505', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006506', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006507', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006508', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006509', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006510', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006511', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006512', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006513', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006514', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006515', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006516', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006517', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006518', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006519', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006520', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006521', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006522', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006523', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006524', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006525', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006526', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006527', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006528', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006529', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006530', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006531', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006532', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006533', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006534', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006535', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006536', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006537', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006538', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006539', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006540', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006541', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006542', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006543', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006544', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006545', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006546', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006547', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006548', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006549', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006550', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006551', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006552', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006553', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006554', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006555', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006556', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006557', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006558', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006559', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006560', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006561', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006562', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006563', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006564', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006565', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006566', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006567', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006568', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006569', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006570', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006571', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006572', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006573', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006574', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006575', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006576', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006577', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006578', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006579', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006580', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006581', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006582', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006583', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006584', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006585', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006586', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006587', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006588', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006589', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006590', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006591', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006592', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006593', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006594', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006595', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006596', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006597', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006598', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006599', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006600', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006601', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006602', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006603', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006604', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006605', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006606', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006607', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006608', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006609', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006610', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006611', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006612', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006613', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006614', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006615', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006616', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006617', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006618', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006619', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006620', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006621', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006622', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006623', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006624', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006625', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006626', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006627', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006628', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006629', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006630', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006631', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006632', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006633', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006634', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006635', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006636', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006637', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006638', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006639', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006640', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006641', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006642', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006643', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006644', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006645', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006646', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006647', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006648', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006649', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006650', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006651', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006652', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006653', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006654', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006655', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006656', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006657', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006658', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006659', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006660', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006661', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006662', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006663', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006664', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006665', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000006666', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006667', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006668', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006669', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006670', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006671', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006672', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006673', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006674', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006675', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006676', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006677', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006678', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006679', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006680', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006681', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006682', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006683', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006684', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006685', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006686', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006687', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006688', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006689', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006690', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006691', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006692', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006693', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006694', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006695', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006696', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006697', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006698', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006699', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006700', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006701', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006702', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006703', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006704', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006705', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006706', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006707', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006708', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006709', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006710', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006711', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006712', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006713', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006714', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006715', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006716', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006717', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006718', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006719', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006720', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006721', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006722', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006723', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006724', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006725', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006726', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006727', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006728', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006729', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006730', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006731', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006732', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006733', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006734', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006735', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006736', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006737', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006738', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006739', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006740', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006741', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006742', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006743', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006744', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006745', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006746', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006747', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006748', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006749', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006750', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006751', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006752', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006753', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006754', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006755', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006756', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006757', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006758', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006759', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006760', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006761', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006762', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006763', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006764', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006765', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006766', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006767', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006768', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006769', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006770', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006771', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006772', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006773', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006774', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006775', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006776', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006777', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006778', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006779', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006780', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006781', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006782', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006783', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006784', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006785', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006786', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006787', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006788', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006789', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006790', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006791', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006792', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006793', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006794', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006795', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006796', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006797', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006798', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006799', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006800', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006801', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006802', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006803', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006804', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006805', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006806', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006807', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006808', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006809', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006810', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006811', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006812', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006813', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006814', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006815', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006816', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006817', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006818', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006819', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006820', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006821', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006822', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006823', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006824', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006825', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006826', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006827', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006828', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006829', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006830', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006831', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006832', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006833', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006834', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006835', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006836', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006837', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006838', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006839', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006840', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006841', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006842', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006843', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006844', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006845', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006846', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006847', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006848', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006849', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006850', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006851', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006852', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006853', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006854', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006855', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006856', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006857', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006858', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006859', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006860', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006861', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006862', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006863', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006864', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);
INSERT INTO `users` (`imsi`, `msisdn`, `imei`, `imei_sv`, `ms_ps_status`, `rau_tau_timer`, `ue_ambr_ul`, `ue_ambr_dl`, `access_restriction`, `mme_cap`, `mmeidentity_idmmeidentity`, `key`, `RFSP-Index`, `urrp_mme`, `sqn`, `rand`, `OPc`) VALUES
('466990000006865', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006866', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006867', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006868', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006869', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006870', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006871', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006872', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006873', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006874', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006875', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006876', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006877', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006878', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006879', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006880', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006881', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006882', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006883', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006884', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006885', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006886', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006887', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006888', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006889', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006890', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006891', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006892', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006893', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006894', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006895', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006896', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006897', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006898', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006899', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006900', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006901', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006902', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006903', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006904', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006905', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006906', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006907', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006908', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006909', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006910', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006911', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006912', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006913', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006914', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006915', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006916', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006917', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006918', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006919', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006920', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006921', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006922', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006923', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006924', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006925', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006926', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006927', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006928', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006929', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006930', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006931', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006932', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006933', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006934', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006935', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006936', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006937', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006938', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006939', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006940', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006941', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006942', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006943', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006944', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006945', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006946', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006947', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006948', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006949', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006950', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006951', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006952', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006953', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006954', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006955', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006956', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006957', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006958', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006959', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006960', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006961', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006962', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006963', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006964', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006965', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006966', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006967', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006968', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006969', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006970', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006971', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006972', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006973', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006974', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006975', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006976', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006977', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006978', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006979', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006980', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006981', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006982', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006983', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006984', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006985', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006986', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006987', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006988', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006989', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006990', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006991', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006992', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006993', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006994', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006995', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006996', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006997', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006998', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f),
('466990000006999', '380561234567', '35609204079300', NULL, 'PURGED', 50, 40000000, 100000000, 47, 0000000000, 1, 0x00112233445566778899aabbccddeeff, 1, 0, 00000000000000124256, 0x40c2717ad3e5f70ad73e6d323ae4c642, 0x000102030405060708090a0b0c0d0e0f);

--
-- 转储表的索引
--

--
-- 表的索引 `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`imsi`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
